;;; lj-auto.el --- autoloads for ljupdate

(provide 'lj-auto)

;;;### (autoloads (lj-edit-friends) "lj-editf" "lj-editf.el" (15725
;;;;;;  25952))
;;; Generated autoloads from lj-editf.el

(autoload (quote lj-edit-friends) "lj-editf" "\
Edit PROFILE's friends.

\(fn PROFILE)" t nil)

;;;***

;;;### (autoloads (lj-profile-login lj-profile-update-friends) "lj-login"
;;;;;;  "lj-login.el" (15725 25968))
;;; Generated autoloads from lj-login.el

(autoload (quote lj-profile-update-friends) "lj-login" "\
Update PROFILE's friends list.

\(fn PROFILE)" t nil)

(autoload (quote lj-profile-login) "lj-login" "\
Login to PROFILE.

\(fn PROFILE)" t nil)

;;;***

;;;### (autoloads (lj--get-music) "lj-music" "lj-music.el" (15725
;;;;;;  26002))
;;; Generated autoloads from lj-music.el

(autoload (quote lj--get-music) "lj-music" "\
Use `lj-music-function' to return the user's current music.

\(fn)" nil nil)

;;;***

;;;### (autoloads (lj-profile-change lj-defprofile lj-profile-p lj-defsystem)
;;;;;;  "lj-objs" "lj-objs.el" (15899 6207))
;;; Generated autoloads from lj-objs.el

(autoload (quote lj-defsystem) "lj-objs" "\
Define a LiveJournal system SYSTEM (a symbol) at host HOSTNAME.

Optionally specify a non-default PORT.

\(fn SYSTEM HOSTNAME &optional PORT)" nil nil)

(autoload (quote lj-profile-p) "lj-objs" "\
Is OBJECT an lj-profile?

\(fn OBJECT)" nil nil)

(autoload (quote lj-defprofile) "lj-objs" "\
Define a profile on SYSTEM (a symbol) for USERNAME (a string).

\(fn SYSTEM USERNAME)" nil nil)

(autoload (quote lj-profile-change) "lj-objs" "\
Subsequent LJ stuff should post using NEW-PROFILE by default.

\(fn NEW-PROFILE)" t nil)

;;;***

;;;### (autoloads (lj-post-and-exit lj-post) "lj-post" "lj-post.el"
;;;;;;  (15774 36371))
;;; Generated autoloads from lj-post.el

(autoload (quote lj-post) "lj-post" "\
Post this LiveJournal update,.

\(fn)" t nil)

(autoload (quote lj-post-and-exit) "lj-post" "\
Post this update, then kill the buffer.

\(fn)" t nil)

;;;***

;;;### (autoloads (lj--save-startup-file lj--initialize) "lj-prefs"
;;;;;;  "lj-prefs.el" (15725 26018))
;;; Generated autoloads from lj-prefs.el

(autoload (quote lj--initialize) "lj-prefs" "\
Initialize various things.

\(fn)" nil nil)

(autoload (quote lj--save-startup-file) "lj-prefs" "\
Save your lj startup file.

\(fn)" nil nil)

;;;***

;;;### (autoloads (lj--make-request) "lj-proto" "lj-proto.el" (15713
;;;;;;  31912))
;;; Generated autoloads from lj-proto.el

(autoload (quote lj--make-request) "lj-proto" "\
Make a request object for protocol MODE with FIELDS.
FIELDS should be an alist.

\(fn MODE FIELDS)" nil nil)

;;;***

;;;### (autoloads (eshell/lj) "lj-shell" "lj-shell.el" (15713 31627))
;;; Generated autoloads from lj-shell.el

(autoload (quote eshell/lj) "lj-shell" "\
Eshell command interface to ljupdate.

\(fn &rest ARGS)" nil nil)

;;;***

;;;### (autoloads (lj--deferror lj--message) "lj-utils" "lj-utils.el"
;;;;;;  (15725 26035))
;;; Generated autoloads from lj-utils.el

(autoload (quote lj--message) "lj-utils" "\
Inspired by `gnus-message', which see.

\(fn LEVEL &rest ARGS)" nil nil)

(autoload (quote lj--deferror) "lj-utils" "\
Define an error named NAME with parents PARENTS and message MESSAGE.

\(fn NAME PARENTS MESSAGE)" nil (quote macro))

;;;***

;;;### (autoloads (lj-compose lj-update-mode) "lj-write" "lj-write.el"
;;;;;;  (15828 14769))
;;; Generated autoloads from lj-write.el

(autoload (quote lj-update-mode) "lj-write" "\
Major mode for editing a LiveJournal update.
Similar to `mail-mode' and `text-mode', but with additional commands:
	\\[lj-post] `lj-post' (post the update)	\\[lj-post-and-exit] `lj-post-and-exit'
\\[lj--header-complete] can be used for completion of various headers.
\\[lj-kill-buffer] throws away the buffer, if you change your mind.
\\[describe-mode] should tell you all sorts of neat things about this mode.

\(fn)" t nil)

(autoload (quote lj-compose) "lj-write" "\
Compose a LiveJournal update, using PROFILE.

\(fn &optional PROFILE)" t nil)

;;;***

;;;### (autoloads (lj-checkfriends-mode) "ljcheckf" "ljcheckf.el"
;;;;;;  (15713 27642))
;;; Generated autoloads from ljcheckf.el

(autoload (quote lj-checkfriends-mode) "ljcheckf" "\
Toggle LiveJournal Check Friends mode.
With ARG, turn the mode on if arg is positive, off otherwise.

\(fn ARG)" t nil)

;;;***

;;;### (autoloads (lj--send-raw-request) "ljserver" "ljserver.el"
;;;;;;  (15745 53883))
;;; Generated autoloads from ljserver.el

(autoload (quote lj--send-raw-request) "ljserver" "\
As PROFILE, send MSG to the LiveJournal server.
Return value is a cons: the car is non-nil if the transaction worked,
and nil if it didn't. The cdr is an alist of values from the server.

\(fn PROFILE MSG)" nil nil)

;;;***

;;;### (autoloads (lj-report-bug) "lj-bug" "lj-bug.el" (15713 31376))
;;; Generated autoloads from lj-bug.el

(autoload (quote lj-report-bug) "lj-bug" "\
Report a bug in ljupdate, with SUBJECT.

\(fn SUBJECT)" t nil)

;;;***
